# Visualization
TKService
WNT

# WNT_FontTable Class Reference

`#include <WNT_FontTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WNT_FontTable (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_FontTable (const Handle(WNT_FontMapEntry)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(WNT_FontMapEntry)&V)
Standard_EXPORT void | Destroy ()
| ~WNT_FontTable ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const WNT_FontTable & | Assign (const WNT_FontTable &Other)
const WNT_FontTable & | operator= (const WNT_FontTable &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(WNT_FontMapEntry)&Value)
const Handle_WNT_FontMapEntry & | Value (const Standard_Integer Index) const
const Handle_WNT_FontMapEntry & | operator() (const Standard_Integer Index) const
Handle_WNT_FontMapEntry & | ChangeValue (const Standard_Integer Index)
Handle_WNT_FontMapEntry & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | WNT_FontTable (const WNT_FontTable &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT WNT_FontTable::WNT_FontTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_FontTable::WNT_FontTable | ( | const Handle(WNT_FontMapEntry)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

WNT_FontTable::~WNT_FontTable | ( |  | ) | `[inline]`

Standard_EXPORT WNT_FontTable::WNT_FontTable | ( | const WNT_FontTable & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WNT_FontTable& WNT_FontTable::Assign | ( | const WNT_FontTable & | Other | ) |

Handle_WNT_FontMapEntry& WNT_FontTable::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WNT_FontTable::Destroy | ( |  | ) |

Standard_EXPORT void WNT_FontTable::Init | ( | const Handle(WNT_FontMapEntry)& | V | ) |

Standard_Boolean WNT_FontTable::IsAllocated | ( |  | ) | const

Standard_Integer WNT_FontTable::Length | ( |  | ) | const

Standard_Integer WNT_FontTable::Lower | ( |  | ) | const

void WNT_FontTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WNT_FontTable::operator new | ( | size_t | size | ) | `[inline]`

void* WNT_FontTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_WNT_FontMapEntry& WNT_FontTable::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_WNT_FontMapEntry& WNT_FontTable::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WNT_FontTable& WNT_FontTable::operator= | ( | const WNT_FontTable & | Other | ) | `[inline]`

void WNT_FontTable::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(WNT_FontMapEntry)& | Value
| ) |

Standard_Integer WNT_FontTable::Upper | ( |  | ) | const

const Handle_WNT_FontMapEntry& WNT_FontTable::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean WNT_FontTable::isAllocated `[private]`

Standard_Integer WNT_FontTable::myLowerBound `[private]`

Standard_Address WNT_FontTable::myStart `[private]`

Standard_Integer WNT_FontTable::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- WNT_FontTable.hxx